%define languageenglazy Chuvash
%define languagecode    cv
%define lc_ctype        cv_RU

Name:           hunspell-%{languagecode}
Version:        1.06
Release:        %mkrel 3
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://hunspell.chv.su/download.shtml
Source0:        http://hunspell.chv.su/files/%{languageenglazy}_Spell-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-cv
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothingto obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
for i in README_cv_RU.txt; do
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_cv_RU.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.06-3.mga8
+ Revision: 1501596
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.06-2.mga7
+ Revision: 1278711
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 1.06-1.mga7
+ Revision: 1213415
- Update to version 1.06

* Thu Feb 04 2016 umeabot <umeabot> 1.02-11.mga6
+ Revision: 935727
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.02-10.mga5
+ Revision: 748788
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.02-9.mga5
+ Revision: 680223
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1.02-8.mga4
+ Revision: 505614
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.02-7.mga3
+ Revision: 353416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.02-6.mga3
+ Revision: 325221
- rebuild for Mga3 Beta1

* Sun Dec 02 2012 kamil <kamil> 1.02-5.mga3
+ Revision: 325188
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.02-4.mga2
+ Revision: 224582
- add requirement on locales (mga#4632)

* Mon Jan 16 2012 kamil <kamil> 1.02-3.mga2
+ Revision: 196927
- adapt spec to the current policy

* Sat Mar 12 2011 dmorgan <dmorgan> 1.02-2.mga1
+ Revision: 68704
- imported package hunspell-cv


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 10 2010 Caolan McNamara <caolanm@redhat.com> - 1.02-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Caolan McNamara <caolanm@redhat.com> - 1.01-1
- initial version
